Subject: Re: CCL:g98 error on linux

From: Darko Babic <[email-masked]>
Date: Tue, 14 Aug 2001 13:51:05 +0200 (MET DST)

I met this too.  Look into the installation log file (if you
have one) and you'll find that the linker complains about referring
to the obsolete tmpnam (or something) functions.  There were two library
files referring to this (or similar) functions: the blas-f2c.a (co-
ming with the optimized BLAS libraries) and one of the PGI libraries.
The solution was to give up of optimized BLAS (I couldn't find some
other version of blas-f2c library or its source) and to upgrade com-
piler.

	Check which of these two libraries you have and replace them
or leave out. If not possible, use the binary version from RedHat 6.2.

	There was another problem after that: SMP jobs occasionally
died for no obvious reason.  After recompilation with libpgthread.so
instead of libpthread.so, the program became stable.  I'm afraid this
might happen with the binary version from RedHat 6.2, but I'm not
sure.

	If you need more details, let me know.

							Darko
Darko Babic
Institute "Rudjer Boskovic"
HR-10002 Zagreb, P.O.B. 180
Croatia
--------------------------------------------------------------------

On Mon, 13 Aug 2001, Zhenhua Li wrote:

> Dear CCLers,
> When I ran g98 in Linux Redhat 7.1. But following error appeared:
> g98: error while loading shared libraries: /home/scratch/test/g98/util.so:
> undefined symbol: fstat
> Nothing appeared in output file at all.
> 
> I can't find out what's wrong with it. Can anyone help me?
> Thanks in advance.
> 
> Li Zhenhua
> 
> 
> 
> 
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> [email-masked] -- HELP CHEMISTRY or HELP SEARCH
> [email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
> 
> 
> 
> 
> 
>